<?php require_once('../../Connections/cn.php'); ?>
<?php 
//***************************************************************************************
// Nombre del Script: inscritos_excel.php
// Descripción: Permite descargar a Microsoft Excel los datos de los estudiantes inscritos
// Llamado desde: imprime_inscritos_excel.php
//************************************************************************************** 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

// Captura los datos que vienen de imprime_inscritos.php
$periodo=$_GET['id_periodo'];   // Código del lapso academico
$sede=$_GET['sede'];            // Código de la Sede
$nivel=$_GET['nivel'];          // Mención o Nivel 
$turno=$_GET['turno'];          // Turno
$semestre=$_GET['semestre'];    // Semestre

if($nivel=="CG") $nivel="COMUN";

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].$descripcion;

//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="99") $nombre_semestre=$semestre;

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];

// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT DISTINCT 
periodos.codigo, 
periodos.tipo,
alumnos.cedula, 
alumnos.apellidos, 
alumnos.nombres,  
date_format( alumnos.fecha_nac, '%d-%m-%Y' ) AS fecha_nacimiento, 
year( curdate( ) ) - year( `alumnos`.`fecha_nac` ) + if( date_format( curdate( ) , '%m-%d' ) > date_format( `alumnos`.`fecha_nac` , '%m-%d' ) , 0, -1 ) AS `edad`,
if(sexo='1', 'FEMENINO', if(sexo='0', 'MASCULINO','' ) ) AS sexo,
alumnos.tipo_estudiante, 
if(isnull(alumnos.telefono_hab), '', alumnos.telefono_hab) AS tlf_habitacion, 
if(isnull(alumnos.telefono_cel), '', alumnos.telefono_cel) AS tlf_celular,
if(isnull(alumnos.cuenta_bancaria), '', alumnos.cuenta_bancaria) AS Cuenta_Bancaria,
if(isnull(alumnos.telefono_trab), '', alumnos.telefono_trab) AS tlf_trabajo,
if(isnull(alumnos.email), '', alumnos.email) AS e_mail, 
if(isnull(alumnos.twitter), '', alumnos.twitter) as twitter, 
sedes.nombre_sede,
historial_alumnos.mencion,
historial_alumnos.semestre,
turnos.turno
FROM alumnos, sedes, historial_alumnos,turnos,periodos
where 
alumnos.id_alumno=historial_alumnos.id_alumno 
and alumnos.sede=sedes.codigo 
and historial_alumnos.turno=turnos.codigo
and historial_alumnos.id_periodo=periodos.id_periodo"; 
if($periodo!="0") $query=$query." and historial_alumnos.id_periodo='$periodo' ";
if($nivel!="0") $query=$query." and historial_alumnos.mencion='$nivel'";
if($sede!="0") $query=$query." and historial_alumnos.sede='$sede'";
if($turno!="0") $query=$query." and historial_alumnos.turno='$turno'";
if($semestre!="99") $query=$query." and historial_alumnos.semestre='$semestre'";
$query=$query. " ORDER BY convert(alumnos.cedula,signed)";

$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
                $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                $cols_names[$i] = $col_name;
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'nombres'){ # Formateo el nombre del alumno.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'apellidos'){ # Formateo el nombre del docente
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'Cuenta_Bancaria'){ # Formateo el nombre del docente
                $return .= '<td>'."'".$rs[$i]."'".'</td>';
            }else if($cols_names[$i] == 'descripcion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=inscritos_pregrado-".date('d-m-Y').".xls");
echo $return; 
?>

